Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.field
Class GenericFieldImpl

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.field.GenericFieldImpl

All Implemented Interfaces:
  Component, Field

    public class GenericFieldImpl

extends GenericComponentImpl
implements Field

This class represents a generic implementation of HL7 field.

Version:
  cvs revision: $Revision: 1.8 $ Last Modified: $Date: 2005/09/03 06:28:37 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`GenericFieldImpl(Message message, java.lang.String name, DataType dataType)` Constructor for GenericFieldImpl.
`GenericFieldImpl(Message message, java.lang.String name, java.lang.String content)` Constructor for GenericFieldImpl.

Method Summary
`DataType` | `getDataType()` Method getDataType.
`void` | `marshal()` Method marshal.
`protected void` | `setDataType(DataType dataType)` Sets the dataType.
`java.lang.String` | `toXMLString(ComponentSpec componentSpec)` Method toXMLString.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### GenericFieldImpl

    public GenericFieldImpl(Message message,
                            java.lang.String name,
                            java.lang.String content)
                     throws HL7ApplicationException

  Constructor for GenericFieldImpl.

  Parameters:
    `message` -
    `name` -
    `content` -
  Throws:
    `HL7ApplicationException`

### GenericFieldImpl

    public GenericFieldImpl(Message message,
                            java.lang.String name,
                            DataType dataType)
                     throws HL7ApplicationException

  Constructor for GenericFieldImpl.

  Parameters:
    `message` -
    `name` -
    `dataType` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getDataType

    public DataType getDataType()

  Description copied from interface: `Field`
  Method getDataType. This is the DataType corresponds to the Field, it may contains sub data types.

  Specified by:
    `getDataType` in interface `Field`
  Returns:
    DataType
  See Also:
    `Field.getDataType()`

### setDataType

    protected void setDataType(DataType dataType)
                        throws HL7ApplicationException

  Sets the dataType.

  Parameters:
    `dataType` - The dataType to set
  Throws:
    `HL7ApplicationException`

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

### toXMLString

    public java.lang.String toXMLString(ComponentSpec componentSpec)
                                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method toXMLString.

  Specified by:
    `toXMLString` in interface `Component`
  Overrides:
    `toXMLString` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.toXMLString(com.stc.connector.hl7.framework.spec.component.ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD